Uploaded image for project: 'Geode'
  1. Geode
  2. GEODE-8277

acceptance test certificates expired in Dockerized SNI acceptance tests

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.13.0, 1.14.0
    • Component/s: tests
    • Labels:
      None

      Description

      Test-only issue.

      At least locator-maeve-keystore.jks is expired. This is causing CI failures now.

      All the certs: the CA cert, and each of the three server certs are expired. These need to all be regenerated using CertificateBuilder and friends.

      I found neither instructions nor a script for regenerating these keystores and truststores. They may be there but I didn't find 'em.

      TODO:

      1. regenerate signing (CA) cert in truststore.jks
      2. create the three new keystores containing certs signed by the signing cert
      3. make sure all the expirations are at least 10 years hence
      4. make sure there is a README or better: a README and a script for generating all that
      5. make sure all the SNI acceptance tests pass locally ./gradlew :geode-assembly:acceptanceTest --tests=org.apache.geode.client.sni.*

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                bschuchardt Bruce J Schuchardt
                Reporter:
                burcham Bill Burcham
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: